<?php
/**
 * @file
 * Color module settings.
 */

// Put the logo path into JavaScript for the live preview.
drupal_add_js(array('color' => array('logo' => theme_get_setting('logo', 'polpo'))), 'setting');

$info = array(
  'fields' => array(
    'top' => t('Header top'),
    'bottom' => t('Header bottom'),
    'rule' => t('Header rule'),
    'text' => t('Header title text'),
    'link' => t('Links'),
  ),
  'schemes' => array(
    'default' => array(
      'title' => t('Polpo (default)'),
      'colors' => array(
        'top' => '#006395',
        'bottom' => '#33a3db',
        'rule' => '#33a3da',
        'text' => '#FFFFFF',
        'link' => '#0468d1',
      ),
    ),
  ),
  'css' => array(
    'css/colour.css',
  ),
  'copy' => array(
    'images/gradient.png',
    'logo.png',
  ),
  'gradients' => array(
    array(
      'dimension' => array(0, 0, 4, 100),
      'direction' => 'vertical',
      'colors' => array('top', 'bottom'),
    ),
  ),
  'fill' => array(
    'link' => array(0, 0, 0, 0),
  ),
  'slices' => array(
    'images/gradient.png' => array(0, 0, 4, 100),
  ),
  'blend_target' => '#ffffff',
  'preview_css' => 'color/preview.css',
  'preview_js' => 'color/preview.js',
  'preview_html' => 'color/preview.html',
  'base_image' => 'color/base.png',
);
