<?php

/**
 * @file
 * Template preprocess functions for polpo
 */

/**
 * Implements template_preprocess_html().
 */
function polpo_preprocess_html(&$vars) {
  // Add IE-specific stylesheets.
  drupal_add_css(path_to_theme() . '/css/ie7.css', array(
    'group' => CSS_THEME,
    'browsers' => array('IE' => 'IE 7', '!IE' => FALSE))
  );
  drupal_add_css(path_to_theme() . '/css/ie8.css', array(
    'group' => CSS_THEME,
    'browsers' => array('IE' => 'gte IE 7', '!IE' => FALSE))
  );
}

/**
 * Overrides template_preprocess_page().
 */
function polpo_preprocess_page(&$vars) {
  // Title text.
  if ($vars['site_name']) {
    if (theme_get_setting('header_text')) {
      $vars['site_name'] = theme_get_setting('header_text');
    }
  }

  // Tabs
  $vars['primary_tabs'] = menu_primary_local_tasks();
  $vars['secondary_tabs'] = menu_secondary_local_tasks();
}

/**
 * Override or insert variables into the page template for HTML output.
 */
function polpo_process_html(&$variables) {
  // Hook into color.module.
  if (module_exists('color')) {
    _color_html_alter($variables);
  }
}

/**
 * Overrides theme_process_page().
 */
function polpo_process_page(&$vars) {
  // Hook into color.module
  if (module_exists('color')) {
    _color_page_alter($vars);
  }
}

/**
 * Implements hook_css_alter().
 */
function polpo_css_alter(&$css) {
  if (isset($css['modules/overlay/overlay-child.css'])) {
    $css['modules/overlay/overlay-child.css']['data'] = drupal_get_path('theme', 'polpo') . '/css/overlay.css';
  }
}
