<?php if ($logo || theme_get_setting('title_text')): ?>
  <div id="header">
    <div class="header-inner clearfix">
      <?php if ($logo): ?>
        <div id="header-logo">
          <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home">
            <img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" id="logo" />
          </a>
        </div>
      <?php endif; ?>
      <?php if ($site_name): ?>
        <div id="header-title"><?php print $site_name; ?></div>
      <?php endif; ?>
    </div>
  </div>
<?php endif; ?>

<?php if ($breadcrumb || $title || $primary_tabs || $secondary_tabs): ?>
<div id="pagebar">
  <?php if ($breadcrumb): print $breadcrumb; endif; ?>
  <?php if ($title): ?>
    <h1 class="page-title"><?php print $title; ?></h1>
  <?php endif; ?>
  <?php if ($primary_tabs): ?><ul class="tabs primary"><?php print render($primary_tabs); ?></ul><?php endif; ?>
  <?php if ($secondary_tabs): ?><ul class="tabs secondary"><?php print render($secondary_tabs); ?></ul><?php endif; ?>
</div>
<?php endif; ?>

<?php if ($messages || $page['help']): ?>
  <div id="statusbar">
    <?php if ($messages): print $messages; endif; ?>
    <?php if ($page['help']): print render($page['help']); endif; ?>
  </div>
<?php endif; ?>

<div id="content">
  <?php if ($page['sidebar_first']): ?>
    <div id="maincol">
  <?php endif; ?>
  <?php print render($title_prefix); ?>
  <?php print render($title_suffix); ?>
  <?php if ($action_links): ?><ul class="action-links clearfix"><?php print render($action_links); ?></ul><?php endif; ?>
  <?php print render($page['content']); ?>
  <?php if ($page['sidebar_first']): ?>
    </div>
    <div id="sidecol">
      <?php print render($page['sidebar_first']); ?>
    </div>
  <?php endif; ?>

  <?php if ($page['footer']): ?>
    <div id="footer">
      <?php print render($page['footer']); ?>
    </div>
  <?php endif; ?>
</div>

